Agregar o quitar etiquetas de clientes
curl --request POST \
--url https://api.bevits.com/v1/customers/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "add",
"tag_ids": [
"tag_8f2k1m"
],
"customer_ids": [
"cus_3j9x0a",
"cus_7p2q4z"
]
}
'import requests
url = "https://api.bevits.com/v1/customers/tags"
payload = {
"action": "add",
"tag_ids": ["tag_8f2k1m"],
"customer_ids": ["cus_3j9x0a", "cus_7p2q4z"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'add',
tag_ids: ['tag_8f2k1m'],
customer_ids: ['cus_3j9x0a', 'cus_7p2q4z']
})
};
fetch('https://api.bevits.com/v1/customers/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bevits.com/v1/customers/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => 'add',
'tag_ids' => [
'tag_8f2k1m'
],
'customer_ids' => [
'cus_3j9x0a',
'cus_7p2q4z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bevits.com/v1/customers/tags"
payload := strings.NewReader("{\n \"action\": \"add\",\n \"tag_ids\": [\n \"tag_8f2k1m\"\n ],\n \"customer_ids\": [\n \"cus_3j9x0a\",\n \"cus_7p2q4z\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bevits.com/v1/customers/tags")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"add\",\n \"tag_ids\": [\n \"tag_8f2k1m\"\n ],\n \"customer_ids\": [\n \"cus_3j9x0a\",\n \"cus_7p2q4z\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bevits.com/v1/customers/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"add\",\n \"tag_ids\": [\n \"tag_8f2k1m\"\n ],\n \"customer_ids\": [\n \"cus_3j9x0a\",\n \"cus_7p2q4z\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"object": "customer_tags",
"action": "add",
"customers": 1,
"tag_ids": [
"<string>"
],
"changed": 1
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
}
}{
"error": {
"type": "authentication_error",
"message": "Invalid API key.",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "permission_denied",
"code": "missing_scope",
"message": "This API key does not have the required \"write\" scope.",
"param": "scope",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "Invalid query parameters.",
"param": "limit",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
},
"retry_after": 2
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
}
}Referencia
Agregar o quitar etiquetas de clientes
Agrega o quita las mismas etiquetas (hasta 20) en hasta 500 clientes, como aplicar etiquetas a los clientes seleccionados en la app. Las demás etiquetas de los clientes quedan como están. Los segmentos filtrados por esas etiquetas cambian con ellas. Exige una clave API con el permiso write.
POST
/
v1
/
customers
/
tags
Agregar o quitar etiquetas de clientes
curl --request POST \
--url https://api.bevits.com/v1/customers/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "add",
"tag_ids": [
"tag_8f2k1m"
],
"customer_ids": [
"cus_3j9x0a",
"cus_7p2q4z"
]
}
'import requests
url = "https://api.bevits.com/v1/customers/tags"
payload = {
"action": "add",
"tag_ids": ["tag_8f2k1m"],
"customer_ids": ["cus_3j9x0a", "cus_7p2q4z"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'add',
tag_ids: ['tag_8f2k1m'],
customer_ids: ['cus_3j9x0a', 'cus_7p2q4z']
})
};
fetch('https://api.bevits.com/v1/customers/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bevits.com/v1/customers/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => 'add',
'tag_ids' => [
'tag_8f2k1m'
],
'customer_ids' => [
'cus_3j9x0a',
'cus_7p2q4z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bevits.com/v1/customers/tags"
payload := strings.NewReader("{\n \"action\": \"add\",\n \"tag_ids\": [\n \"tag_8f2k1m\"\n ],\n \"customer_ids\": [\n \"cus_3j9x0a\",\n \"cus_7p2q4z\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bevits.com/v1/customers/tags")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"add\",\n \"tag_ids\": [\n \"tag_8f2k1m\"\n ],\n \"customer_ids\": [\n \"cus_3j9x0a\",\n \"cus_7p2q4z\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bevits.com/v1/customers/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"add\",\n \"tag_ids\": [\n \"tag_8f2k1m\"\n ],\n \"customer_ids\": [\n \"cus_3j9x0a\",\n \"cus_7p2q4z\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"object": "customer_tags",
"action": "add",
"customers": 1,
"tag_ids": [
"<string>"
],
"changed": 1
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
}
}{
"error": {
"type": "authentication_error",
"message": "Invalid API key.",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "permission_denied",
"code": "missing_scope",
"message": "This API key does not have the required \"write\" scope.",
"param": "scope",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "Invalid query parameters.",
"param": "limit",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
},
"retry_after": 2
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"suggestion": "<string>"
}
}Autorizaciones
Encabezados
Cuerpo
application/json
Respuesta
Etiquetas de los clientes actualizadas.